package response

import "gitlab.wodcloud.com/smart-operation/so-operation-api/src/bean/entity"

type AlertRulesItem struct {
	entity.AlertRules `xorm:"extends"`
	AlertCondition    []entity.AlertCondition   `json:"alert_condition" xorm:"alert_condition"`
	AlertRange        []entity.RulesAlertRange  `json:"alert_range" xorm:"alert_range"`
	NotifyMethod      []string                  `json:"notify_method" xorm:"notify_method"`
	NotifyRecipients  []entity.NotifyRecipients `json:"notify_recipients" xorm:"notify_recipients"`
}

func (a *AlertRulesItem) TableName() string {
	return "alert_rules"
}

type AlertRulesList struct {
	TotalCount int64            `json:"total_count"`
	List       []AlertRulesItem `json:"list"`
}
